Package org.pgpainless.sop

# Class SOPImpl

java.lang.Object
org.pgpainless.sop.SOPImpl

All Implemented Interfaces:
  `sop.SOP`

public class SOPImpl extends Object implements sop.SOP
Implementation of the

    sop

API using PGPainless.

     SOP sop = new SOPImpl();

## Constructor Summary

Constructors
Constructor
Description
`SOPImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.operation.Armor`
`armor()`
`sop.operation.ChangeKeyPassword`
`changeKeyPassword()`
`sop.operation.Dearmor`
`dearmor()`
`sop.operation.Decrypt`
`decrypt()`
`sop.operation.DetachedSign`
`detachedSign()`
`sop.operation.DetachedVerify`
`detachedVerify()`
`sop.operation.Encrypt`
`encrypt()`
`sop.operation.ExtractCert`
`extractCert()`
`sop.operation.GenerateKey`
`generateKey()`
`sop.operation.InlineDetach`
`inlineDetach()`
`sop.operation.InlineSign`
`inlineSign()`
`sop.operation.InlineVerify`
`inlineVerify()`
`sop.operation.ListProfiles`
`listProfiles()`
`sop.operation.RevokeKey`
`revokeKey()`
`sop.operation.DetachedSign`
`sign()`
`sop.operation.DetachedVerify`
`verify()`
`sop.operation.Version`
`version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SOPImpl

public SOPImpl()

## Method Details

### version

public sop.operation.Version version()

Specified by:
  `version` in interface `sop.SOP`

### generateKey

public sop.operation.GenerateKey generateKey()

Specified by:
  `generateKey` in interface `sop.SOP`

### extractCert

public sop.operation.ExtractCert extractCert()

Specified by:
  `extractCert` in interface `sop.SOP`

### sign

public sop.operation.DetachedSign sign()

Specified by:
  `sign` in interface `sop.SOP`

### detachedSign

public sop.operation.DetachedSign detachedSign()

Specified by:
  `detachedSign` in interface `sop.SOP`

### inlineSign

public sop.operation.InlineSign inlineSign()

Specified by:
  `inlineSign` in interface `sop.SOP`

### verify

public sop.operation.DetachedVerify verify()

Specified by:
  `verify` in interface `sop.SOP`

### detachedVerify

public sop.operation.DetachedVerify detachedVerify()

Specified by:
  `detachedVerify` in interface `sop.SOP`

### inlineVerify

public sop.operation.InlineVerify inlineVerify()

Specified by:
  `inlineVerify` in interface `sop.SOP`

### encrypt

public sop.operation.Encrypt encrypt()

Specified by:
  `encrypt` in interface `sop.SOP`

### decrypt

public sop.operation.Decrypt decrypt()

Specified by:
  `decrypt` in interface `sop.SOP`

### armor

public sop.operation.Armor armor()

Specified by:
  `armor` in interface `sop.SOP`

### dearmor

public sop.operation.Dearmor dearmor()

Specified by:
  `dearmor` in interface `sop.SOP`

### listProfiles

public sop.operation.ListProfiles listProfiles()

Specified by:
  `listProfiles` in interface `sop.SOP`

### revokeKey

public sop.operation.RevokeKey revokeKey()

Specified by:
  `revokeKey` in interface `sop.SOP`

### changeKeyPassword

public sop.operation.ChangeKeyPassword changeKeyPassword()

Specified by:
  `changeKeyPassword` in interface `sop.SOP`

### inlineDetach

public sop.operation.InlineDetach inlineDetach()

Specified by:
  `inlineDetach` in interface `sop.SOP`